clan::XMLResourceNode Class Reference - ClanLib SDK
Description: clan::XMLResourceNode Class Reference

Public Member Functions | Friends | List of all members
clan::XMLResourceNode Class Reference
clanXML Resources

Resource node for a XMLResourceDocument. More...

`#include <xml_resource_node.h>`

## Public Member Functions
| XMLResourceNode ()
| ~XMLResourceNode ()
std::string | get_base_path () const
| Returns the base path of the resource.
XMLResourceDocument | get_document ()
| Returns the resource document owning the resource.
DomElement & | get_element ()
| Returns the DOM element describing the resource.
FileSystem | get_file_system () const
| Returns the file system to load resource from.
std::string | get_name () const
| Returns the name of the resource.
std::string | get_type () const
| Returns the resource type.
bool | is_null () const
IODevice | open_file (const std::string &filename, File::OpenMode mode=File::open_existing, unsigned int access=File::access_read, unsigned int share=File::share_all, unsigned int flags=0) const
| Opens a file relative to the resource base path.
bool | operator== (const XMLResourceNode &other) const
| Compares this resource to another resource.

## Friends
class | XMLResourceDocument

## Detailed Description

Resource node for a XMLResourceDocument.

## Constructor & Destructor Documentation

## ◆ XMLResourceNode()

clan::XMLResourceNode::XMLResourceNode | ( |  | ) |

## ◆ ~XMLResourceNode()

clan::XMLResourceNode::~XMLResourceNode | ( |  | ) |

## Member Function Documentation

## ◆ get_base_path()

std::string clan::XMLResourceNode::get_base_path | ( |  | ) | const

Returns the base path of the resource.

## ◆ get_document()

XMLResourceDocument clan::XMLResourceNode::get_document | ( |  | ) |

Returns the resource document owning the resource.

## ◆ get_element()

DomElement & clan::XMLResourceNode::get_element | ( |  | ) |

Returns the DOM element describing the resource.

## ◆ get_file_system()

FileSystem clan::XMLResourceNode::get_file_system | ( |  | ) | const

Returns the file system to load resource from.

## ◆ get_name()

std::string clan::XMLResourceNode::get_name | ( |  | ) | const

Returns the name of the resource.

## ◆ get_type()

std::string clan::XMLResourceNode::get_type | ( |  | ) | const

Returns the resource type.

## ◆ is_null()

bool clan::XMLResourceNode::is_null | ( |  | ) | const

## ◆ open_file()

IODevice clan::XMLResourceNode::open_file | ( | const std::string & | filename,
|  | File::OpenMode | mode = File::open_existing,
|  | unsigned int | access = File::access_read,
|  | unsigned int | share = File::share_all,
|  | unsigned int | flags = 0 ) const

Opens a file relative to the resource base path.

param: mode = File::OpenMode modes param: access = File::AccessFlags flags param: share = File::ShareFlags flags param: flags = File::Flags flags

Returns
  The IODevice

## ◆ operator==()

bool clan::XMLResourceNode::operator== | ( | const XMLResourceNode & | other | ) | const

Compares this resource to another resource.

## Friends And Related Symbol Documentation

## ◆ XMLResourceDocument

friend class XMLResourceDocument
| friend

The documentation for this class was generated from the following file:

- xml_resource_node.h